[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBEdit.Notification

Handles notifications when a component is added or removed from the control.

## Declaration

Source position: dbctrls.pp line 196

`protected procedure TDBEdit.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is overridden in TDBEdit to ensure that the DataSource for the data link in the control is set to Nil when the component is freed. Notification calls the inherited method.

## See also

TDBEdit.DataSource |  | Provides access to the dataset with content for the control.
TDataLink.DataSource
TComponent.Notification